/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
body { overflow-x: hidden; }
.ehf-header header#masthead { position: absolute; top: 0; left: 0; right: 0; z-index: 99; }
.admin-bar.ehf-header header#masthead { top: 32px; }
#page .mainheader .hfe-nav-menu-icon { padding: 0; }
#page .mainheader .hfe-flyout-wrapper .hfe-flyout-overlay { opacity: 0; }
#page .mainheader .hfe-flyout-wrapper .hfe-side.hfe-flyout-right { transition: all .5s; display: block; right: -100% !important; left: auto !important; backdrop-filter: blur(20px); box-shadow: -30px 0px 20px 0px rgba(0,0,0,0.25); border-radius: 50px 0px 0 50px; } 
#page .mainheader .hfe-flyout-wrapper .hfe-side.hfe-flyout-right.hfe-flyout-show { right: 0% !important; } 
#page .mainheader .hfe-flyout-wrapper .hfe-side .hfe-flyout-content.push { padding: 100px 0 0; background: rgba(0,0,0,0.2); background: linear-gradient(90deg, rgba(0,0,0,0) 0%, rgba(0,0,0,0.2) 100%); }
#page .mainheader .hfe-nav-menu > li > a { transition: all .5s; display: block; text-align: right; }
#page .mainheader .hfe-flyout-wrapper .hfe-side .hfe-flyout-close { right: 35px; top: 20px; margin: 0; }
#page .mainheader .hfe-flyout-wrapper .hfe-side .hfe-flyout-close svg { margin: 0; }
#page .dentrosection:after { content: ''; background-image: url(/shes-lab/wp-content/uploads/2026/01/Vector.png); background-position: left bottom; background-repeat: no-repeat; background-size: contain; display: block; width: 40%; height: 40%; left: 0; position: absolute; bottom: -10%; }
#page .cosasuccede::before { width: 300px; height: 300px; left: auto; right: -50px; top: auto; bottom: -50px; background-size: contain; }
#page .servizibox { overflow: inherit; }
#page .servizibox .elementor-cta { border-top: 1px solid #fff; border-bottom: 1px solid #fff; border-right: 1px solid #fff; min-height: 310px; align-content: flex-end; margin: -1px 0 0; }
#page .servizibox:nth-child(even) .elementor-cta { border-right: 0; }
#page .servizibox .elementor-cta .elementor-cta__button:after { content: "\f061"; font-family: "Font Awesome 5 Free"; font-weight: 900; font-size: 13px; padding-left: 7px; }
#page .servizibox .elementor-cta .elementor-cta__content { display: block; min-height: 140px; align-content: flex-start; transition: all .4s; }
#page .servizibox .elementor-cta .elementor-cta__button-wrapper { position: absolute; bottom: 15px; left: 20px; z-index: 2; opacity: 0; visibility: hidden; width: auto; transition: all .4s; }
#page .servizibox .elementor-cta:hover .elementor-cta__content { min-height: 305px; }
#page .servizibox .elementor-cta:hover .elementor-cta__button-wrapper { opacity: 1; visibility: visible; }
#page .collaboriamlogo .elementor-image-carousel-wrapper { padding: 0 15% 70px; } 
#page .collaboriamlogo .elementor-image-carousel-wrapper .swiper-slide-inner { display: flex; align-items: center; justify-content: center; } 
/*  */
.mainportfolioslider.slider { margin: 0; padding: 0; list-style: none; display: flex; flex-wrap: wrap; } 
.mainportfolioslider.slider .item { padding: 20px; width: 50%; } 
.foliomainbox .img-fluid { width: 100%; height: 100%; object-fit: cover; display: block; } 
.foliodata { display: flex; gap: 20px; justify-content: space-between; color: #fff; margin: 15px 0; } 
.foliodata p { margin: 0; font-size: 16px; font-weight: 500; text-transform: uppercase; }
.mainportfolioslider.slick-slider { display: block; padding: 0 0 40px; }
.mainportfolioslider.slick-slider .slick-list { padding-right: 40%; }
.mainportfolioslider .slick-slide { transition: all .5s; position: relative; transform: scale(0.75); opacity: 0.7; transform-origin: left center; }
.mainportfolioslider .slick-slide.slick-current.slick-active { transform: scale(1); opacity: 1; }
.mainportfolioslider.slick-slider .slick-arrow { top: auto; transform: translateX(-50%); bottom: 0; left: calc(50% - 135px); width: 50px; padding: 5px 5px; height: auto; text-align: center; border-radius: 100px; border: 1px solid #fff; z-index: 99;}
.mainportfolioslider.slick-slider .slick-next.slick-arrow { left: calc(50% - -135px); }
.mainportfolioslider.slick-slider .slick-arrow::before { content: "\f060"; font-family: "Font Awesome 5 Free"; font-weight: 900; opacity: 1; font-size: 12px; }
.mainportfolioslider.slick-slider .slick-next.slick-arrow::before { content: "\f061"; }
.mainportfolioslider.slick-slider .slick-dots { bottom: 0; }
.mainportfolioslider.slick-slider .slick-dots li { margin: 0; padding: 0; width: auto; height: auto; }
.mainportfolioslider.slick-slider .slick-dots li button { background: #fff; width: 20px; height: 5px; padding: 0; border-radius: 0; opacity: 0.4; }
.mainportfolioslider.slick-slider .slick-dots li button::before { display: none; }
.mainportfolioslider.slick-slider .slick-dots li.slick-active button { opacity: 1; }
/*  */
#page .hubshesection { width: 350px; }
#page .center-slider { width: 100%; padding: 0; } 
#page .center-slider .swiper-slide { padding: 0; display: flex; height: 550px; align-items: flex-end; }
#page .center-slider .swiper-slide img { width: 100%; height: 320px; object-fit: cover; border-radius: 0; } 
.sliderbtndots { display: flex; align-items: center; justify-content: center; gap: 25px; position: relative; margin: 40px 0 0; }
#page .sliderbtndots .swiper-button-prev, #page .sliderbtndots .swiper-button-next { position: relative; transform: inherit; top: 0; left: 0; width: 50px; padding: 4px 5px; margin: 0; height: auto; text-align: center; border-radius: 100px; border: 2px solid #000; color: #000; }
#page .sliderbtndots .swiper-button-prev::after, #page .sliderbtndots .swiper-button-next::after { content: "\f060"; font-family: "Font Awesome 5 Free"; font-weight: 900; opacity: 1; font-size: 12px; }
#page .sliderbtndots .swiper-button-next::after { content: "\f061"; }
#page .center-slider .swiper-pagination { margin: 0; position: relative; width: auto; height: auto; top: 0; transform: inherit; left: 0; right: auto; margin-top: -5px; }
#page .center-slider .swiper-pagination .swiper-pagination-bullet { background: #000; width: 25px; height: 5px; padding: 0; border-radius: 0; opacity: 0.3; margin: 0; }
#page .center-slider .swiper-pagination .swiper-pagination-bullet.swiper-pagination-bullet-active { opacity: 1; }
/*  */
.contcatform .form-group { margin: 0 0 20px; }
.contcatform p { margin: 0; position: relative; }
.contcatform .form-group .form-control { display: block; background: transparent; border: 0; border-radius: 0; border-bottom: 1px solid #fff; -webkit-text-fill-color: #fff; color: #fff; font-size: 16px; padding: 12px 10px; outline: none; }
.formgroup-btn { text-align: right; }
.formgroup-btn p { display: inline-block; }
.formgroup-btn .formsubmit { border: 1px solid #fff; border-radius: 100px; min-width: 150px; color: #ffff; font-weight: 600; font-size: 16px; background: transparent; padding: 10px 10px; }
.formgroup-btn .formsubmit:hover { background: #EB633B; border-color: #EB633B; color: #fff; }
.formgroup-btn .wpcf7-spinner { position: absolute; top: 10px; right: 0; }
.wpcf7-form.invalid span.wpcf7-not-valid-tip { margin: 7px 0 0; font-size: 14px; }
#page .wpcf7-form.invalid .wpcf7-response-output { border-color: #dc3232; background: #dc3232; color: #fff; font-size: 14px; text-align: center; margin: 15px 0 0; border-radius: 7px; padding: 5px 10px; }
#page .wpcf7-form.sent .wpcf7-response-output { border-color: #46b450; background: #46b450; color: #fff; font-size: 14px; text-align: center; margin: 15px 0 0; border-radius: 7px; padding: 5px 10px; }
/**/
.instavidslider .elementor-main-swiper .elementor-swiper-button { background: #000; opacity: 1; z-index: 9; width: 50px; height: 50px; border: 0; border-radius: 100px; display: flex ; align-items: center; justify-content: center; left: 0; }
.instavidslider .elementor-main-swiper .elementor-swiper-button.elementor-swiper-button-next { left: auto; right: 0; }
.videohub_list { padding: 0; list-style: none; display: flex; flex-wrap: wrap; margin: 0 -10px; } 
.videohub_list li { width: 33.33%; padding: 10px; } 
.videomaincol { width: 100%; position: relative; } 
.videomaincol svg { width: 100%; height: 100%; object-fit: cover; margin: 0 0 30px; } 
.videoimgbox { max-width: 300px; margin: 0 auto; position: absolute; bottom: 75px; left: 0; right: 0; z-index: 2; }
.videoimgbox .img-fluid { width: 100%; height: 380px; object-fit: cover; display: block; border-radius: 15px; transition: all .5s } 
.videodetails { position: absolute; top: 50px; left: 40px; margin: 0 auto; max-width: 370px; padding: 15px; font-weight: 600; transition: all .5s; opacity: 0; visibility: hidden; z-index: 1; } 
.videodetails p { color: #000; font-size: 13.5px; }
.videobtn { text-align: center; }
#page .whiteborderbtn { background-color: #EB633B00; font-size: 16px; font-weight: 700; color: #FFFFFF; border: 2px solid #FFFFFF; border-radius: 100px 100px 100px 100px; padding: 10px 25px; display: inline-block; transition: all .4s; }
#page .whiteborderbtn:hover { background-color: #EB633B; color: #FFFFFF; border-color: #EB633B; }
.videomaincol:hover .videodetails { opacity: 1; visibility: visible; }
.videomaincol:hover .videoimgbox .img-fluid { width: 100px; height: 100px; }
.videohub_list.slick-slider { margin: 0; padding: 0 0 50px; }
.videohub_list.slick-slider .slick-arrow { top: auto; transform: translateX(-50%); bottom: 0; left: calc(50% - 130px); width: 50px; padding: 5px 5px; height: auto; text-align: center; border-radius: 100px; border: 1px solid #fff; z-index: 99;}
.videohub_list.slick-slider .slick-next.slick-arrow { left: calc(50% - -130px); }
.videohub_list.slick-slider .slick-arrow::before { content: "\f060"; font-family: "Font Awesome 5 Free"; font-weight: 900; opacity: 1; font-size: 12px; }
.videohub_list.slick-slider .slick-next.slick-arrow::before { content: "\f061"; }
.videohub_list.slick-slider .slick-dots { bottom: 0; }
.videohub_list.slick-slider .slick-dots li { margin: 0; padding: 0; width: auto; height: auto; }
.videohub_list.slick-slider .slick-dots li button { background: #fff; width: 20px; height: 5px; padding: 0; border-radius: 0; opacity: 0.4; }
.videohub_list.slick-slider .slick-dots li button::before { display: none; }
.videohub_list.slick-slider .slick-dots li.slick-active button { opacity: 1; }
/* modal */
.shehubvideomodal { position: fixed; left: 0; top: 0; width: 100%; height: 100%; background-color: rgba(0, 0, 0, 0.8); opacity: 0; visibility: hidden; transform: scale(1.1); display: flex ; align-items: center; justify-content: center; box-shadow: 0 0 18px rgba(0, 0, 0, 0.20); transition: all 0.25s linear; z-index: 99999999; padding: 0 15px; }
.shehubvideomodal.active { opacity: 1; visibility: visible; transform: scale(1); }
.modalcontentbox { background: #ffffff; padding: 0; width: 100%; max-width: 850px; max-height: 90%; border-radius: 10px; position: relative; }
.closevideomodal { float: right; width: 36px; height: 36px; line-height: 1; padding: 0; text-align: center; cursor: pointer; background: #EB633B !important; box-shadow: none; outline: none; border: 1px solid #EB633B; color: #fff; font-size: 32px; position: absolute; right: -10px; top: -10px; z-index: 9; border-radius: 100px; display: flex ; justify-content: center; } 
.videomodal_body { width: 100%; height: 100%; max-height: calc(100vh - 110px); overflow: hidden; padding: 10px; display: flex ; flex-wrap: wrap; }
.videobox { width: 100%; }
.videobox video { width: 100%; height: 100%; min-height: 300px; max-height: calc(100vh - 130px); display: block; object-fit: cover; border-radius: 10px; }
/*  */
.portfoliolist { padding: 0; list-style: none; display: flex; flex-wrap: wrap; margin: 0 -15px; }
.portfoliolist .item { width: 33.33%; padding: 15px; }
.portfoliolist .item .lightimgbox { display: block; width: 100%; }
.portfoliolist .lightimgbox .img-fluid { width: 100%; height: 100%; object-fit: cover; border-radius: 30px; }
.custompage { display: flex ; align-items: center; align-content: center; justify-content: center; padding: 20px 0; }
.custompage .backbtn, .custompage .nextbtn { width: 45px; line-height: 1; padding: 3px 5px; height: auto; text-align: center; border-radius: 100px; border: 1px solid #fff; color: #fff; font-size: 12px; margin-right: 30px; }
.custompage .nextbtn { margin-right: 0; margin-left: 30px; }
.custompage .pagenumber { background: #fff; width: 25px; height: 5px; padding: 0; border-radius: 0; opacity: 0.4; font-size: 0; transition: all .4s; }
.custompage .pagenumber:hover, .custompage .pagenumber.active { opacity: 1; }





/* responsive Media Query */
@media(min-width:1340px){
#page .bigheading .elementor-heading-title { font-size: 110px; }
#page .aboutheading .elementor-heading-title { font-size: 90px; }
.foliodata p { font-size: 18px; }
.videodetails p { font-size: 15px; }
#page .hubshesection { width: 410px; }


}


@media(min-width:1024px){
#page .center-slider .swiper-slide { transition: all 0.6s ease; transform: scale(0.75); transform-origin: left bottom; } 
#page .center-slider .swiper-slide.swiper-slide-prev { transform-origin: -65% bottom; }
#page .center-slider .swiper-slide-active { transform: scale(1.65); z-index: 10; transform-origin: center bottom; }
#page .center-slider .swiper-slide.swiper-slide-next { transform-origin: 165% bottom; }
#page .center-slider .swiper-slide.swiper-slide-next + .swiper-slide { transform-origin: right bottom; }

}

@media (min-width: 1024px) and (max-width: 1199px) {
#page .center-slider .swiper-slide img { height: 230px; }	
	
}

@media (min-width: 768px) and (max-width: 1023px) {
#page .center-slider .swiper-slide { transition: all 0.6s ease; transform: scale(0.75); transform-origin: left bottom; } 
#page .center-slider .swiper-slide.swiper-slide-prev { transform-origin: left bottom; }
#page .center-slider .swiper-slide-active { transform: scale(1.35); transform-origin: center bottom; }
#page .center-slider .swiper-slide.swiper-slide-next { transform-origin: right bottom; }
#page .center-slider .swiper-slide.swiper-slide-next + .swiper-slide { transform-origin: left bottom; }


}

@media(max-width:1199px){
#page .hubshesection { width: 100%; }
.videohub_list.slick-slider { max-width: 850px; margin: 0 auto; }

	
}

@media(max-width:1024px){
.mainportfolioslider.slider .item { padding: 15px; }
.mainportfolioslider.slick-slider .slick-list { padding-right: 25%; }	
.videodetails { top: 40px; left: 35px; padding-top: 0; }	
#page .shubslidsection { margin-top: -17%; }

	
}


@media(max-width:767px){
#page { overflow-x: hidden; }
#page .collaboriamlogo .elementor-image-carousel-wrapper { padding: 0 10% 45px; }
#page .servizibox .elementor-cta { border: 1px solid #3b3b3b !important; margin: 10px 0; }
.mainportfolioslider.slick-slider { padding: 0 0 30px 5px; }
.mainportfolioslider.slider .item { padding: 10px; }
.mainportfolioslider.slick-slider .slick-list { padding-right: 15%; }	
.foliodata { display: block; }
.foliodata p { font-size: 14px; margin: 0 0 7px; }	
#page .shubslidsection { margin-top: 0; }
/* 	 */
#page .center-slider { width: 100%; padding: 0px 15% 0; }
#page .center-slider .swiper-slide { padding: 10px; display: flex; height: 400px; align-items: flex-end; }
#page .center-slider .swiper-slide img { height: 200px; transition: all .5s;}
#page .center-slider .swiper-slide.swiper-slide-active img { height: 100%; }
.sliderbtndots { gap: 20px; margin: 20px 0 0; }
/*  */
.videohub_list.slick-slider { max-width: 350px; margin: 0 auto; }
.videoimgbox { bottom: 65px; max-width: 250px; }	
.videoimgbox .img-fluid { height: 300px; }
.videodetails { max-height: 185px; overflow: auto; top: 50px; max-width: 260px; padding: 0; }
.videomaincol:hover .videoimgbox .img-fluid { width: 75px; height: 75px; }	

	
}


@media(max-width:480px){
#page .center-slider { width: 100%; padding: 0px 10% 45px; }
#page .center-slider .swiper-slide { padding: 7px; }
.sliderbtndots { position: absolute; bottom: 0; left: 0; right: 0; width: 100%; padding: 0 15px; margin: 0; }
#page .center-slider .swiper-pagination .swiper-pagination-bullet { width: 15px; }

}
